class WeekdaysController < ApplicationController
  # GET /weekdays
  # GET /weekdays.xml
  def index
    @weekdays = Weekday.find(:all)

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @weekdays }
    end
  end

  # GET /weekdays/1
  # GET /weekdays/1.xml
  def show
    @weekday = Weekday.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @weekday }
    end
  end

  # GET /weekdays/new
  # GET /weekdays/new.xml
  def new
    @weekday = Weekday.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @weekday }
    end
  end

  # GET /weekdays/1/edit
  def edit
    @weekday = Weekday.find(params[:id])
  end

  # POST /weekdays
  # POST /weekdays.xml
  def create
    @weekday = Weekday.new(params[:weekday])

    respond_to do |format|
      if @weekday.save
        flash[:notice] = 'Weekday was successfully created.'
        format.html { redirect_to(@weekday) }
        format.xml  { render :xml => @weekday, :status => :created, :location => @weekday }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @weekday.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /weekdays/1
  # PUT /weekdays/1.xml
  def update
    @weekday = Weekday.find(params[:id])

    respond_to do |format|
      if @weekday.update_attributes(params[:weekday])
        flash[:notice] = 'Weekday was successfully updated.'
        format.html { redirect_to(@weekday) }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @weekday.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /weekdays/1
  # DELETE /weekdays/1.xml
  def destroy
    @weekday = Weekday.find(params[:id])
    @weekday.destroy

    respond_to do |format|
      format.html { redirect_to(weekdays_url) }
      format.xml  { head :ok }
    end
  end
end
